Package io.vertx.sqlclient

## Interface SqlClient

- All Known Subinterfaces:
    `DB2Connection`, `JDBCConnection`, `JDBCPool`, `MSSQLConnection`, `MySQLConnection`, `OracleConnection`, `PgConnection`, `Pool`, `SqlConnection`

      public interface SqlClient

  Defines common SQL client operations with a database server.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the client and release the associated resources.
    `PreparedQuery<RowSet<Row>>` | `preparedQuery​(String sql)` | Create a prepared query, one of the `PreparedQuery.execute(io.vertx.sqlclient.Tuple)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.sqlclient.Tuple>)` methods must be called to execute the query.
    `PreparedQuery<RowSet<Row>>` | `preparedQuery​(String sql, PrepareOptions options)` | Create a prepared query, one of the `PreparedQuery.execute(io.vertx.sqlclient.Tuple)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.sqlclient.Tuple>)` methods must be called to execute the query.
    `Query<RowSet<Row>>` | `query​(String sql)` | Create a query, the `Query.execute()` method must be called to execute the query.

- - ### Method Detail

    - #### query

          Query<RowSet<Row>> query​(String sql)

      Create a query, the `Query.execute()` method must be called to execute the query.
      Returns:
        the query

    - #### preparedQuery

          PreparedQuery<RowSet<Row>> preparedQuery​(String sql)

      Create a prepared query, one of the `PreparedQuery.execute(io.vertx.sqlclient.Tuple)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.sqlclient.Tuple>)` methods must be called to execute the query.
      Returns:
        the prepared query

    - #### preparedQuery

          PreparedQuery<RowSet<Row>> preparedQuery​(String sql,
                                                   PrepareOptions options)

      Create a prepared query, one of the `PreparedQuery.execute(io.vertx.sqlclient.Tuple)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.sqlclient.Tuple>)` methods must be called to execute the query.
      Returns:
        the prepared query

    - #### close

          Future<Void> close()

      Close the client and release the associated resources.
      Returns:
        a future notified once the client is closed